std::chrono::duration< _Rep, _Period >(3)

NAME
std::chrono::duration< _Rep, _Period > - duration

SYNOPSIS

  Public Types
typedef _Period period
typedef _Rep rep

  Public Member Functions
template<typename _Rep2 , typename = _Require< is_convertible<const _Rep2&, rep>, __or_<__is_float<rep>, __not_<__is_float<_Rep2>>>>> constexpr duration (const _Rep2 &__rep)
duration (const duration &)=default
template<typename _Rep2 , typename _Period2 , typename = _Require< __or_<__is_float<rep>, __and_<__is_harmonic<_Period2>, __not_<__is_float<_Rep2>>>>>> constexpr duration (const duration< _Rep2, _Period2 > &__d)
constexpr rep count () const
template<typename _Rep2 = rep> constexpr enable_if<!treat_as_floating_point< _Rep2 >::value, duration & >::type operator%= (const duration &__d)
template<typename _Rep2 = rep> constexpr enable_if<!treat_as_floating_point< _Rep2 >::value, duration & >::type operator%= (const rep &__rhs)
constexpr duration & operator*= (const rep &__rhs)
constexpr duration operator+ () const
constexpr duration & operator++ ()
constexpr duration operator++ (int)
constexpr duration & operator+= (const duration &__d)
constexpr duration operator- () const
constexpr duration & operator-- ()
constexpr duration operator-- (int)
constexpr duration & operator-= (const duration &__d)
constexpr duration & operator/= (const rep &__rhs)
duration & operator= (const duration &)=default

  Static Public Member Functions
static constexpr duration max () noexcept
static constexpr duration min () noexcept
static constexpr duration zero () noexcept

  Related Functions
(Note that these are not member functions.)

template<typename _Rep1 , typename _Period1 , typename _Rep2 , typename _Period2 > constexpr common_type< duration< _Rep1, _Period1 >, duration< _Rep2, _Period2 > >::type operator+ (const duration< _Rep1, _Period1 > &__lhs, const duration< _Rep2, _Period2 > &__rhs)
The sum of two durations.
template<typename _Rep1 , typename _Period1 , typename _Rep2 , typename _Period2 > constexpr common_type< duration< _Rep1, _Period1 >, duration< _Rep2, _Period2 > >::type operator- (const duration< _Rep1, _Period1 > &__lhs, const duration< _Rep2, _Period2 > &__rhs)
The difference between two durations.

template<typename _Rep1 , typename _Period , typename _Rep2 > constexpr duration< __common_rep_t< _Rep1, _Rep2 >, _Period > operator* (const duration< _Rep1, _Period > &__d, const _Rep2 &__s)
Multiply a duration by a scalar value.
template<typename _Rep1 , typename _Rep2 , typename _Period > constexpr duration< __common_rep_t< _Rep2, _Rep1 >, _Period > operator* (const _Rep1 &__s, const duration< _Rep2, _Period > &__d)
Multiply a duration by a scalar value.

Detailed Description

  template<typename _Rep, typename _Period>
struct std::chrono::duration< _Rep, _Period >" duration

Definition at line 71 of file chrono.

Author

Generated automatically by Doxygen for libstdc++ from the source code.